## edflib 1.16

=== Makefile ===
CC = gcc
CFLAGS = -O2 -Wall -Wextra -Wshadow -Wformat-nonliteral -Wformat-security -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE
LDLIBS = -lm

programs = sine_generator sweep_generator test_edflib test_generator

all: $(programs)

$(programs): edflib.o

clean:
	$(RM) *.o $(programs) *.[be]df

## edflib 1.10

=== debian/changelog ===
edflib (1.10-1) unstable; urgency=low

  * Initial release. (Closes: #752666)

 -- Mathieu Malaterre <malat@debian.org>  Wed, 25 Jun 2014 15:05:39 +0200

=== debian/control ===
Source: edflib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9), cmake (>= 2.8.0)
Standards-Version: 3.9.5
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/edflib/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/edflib/trunk/
Homepage: http://www.teuniz.net/edflib/

Package: libedf1
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: European Data Format library - libs
 EDFlib is a programming library for C/C++ to read/write EDF+/BDF+
 files. (It also reads old-type EDF/BDF files.)
 EDF means European Data Format. BDF is the 24-bits version of EDF.
 .
 This package contains the libraries needed to run EDF+/BDF+ applications.

Package: libedf-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libedf1 (= ${binary:Version})
Description: European Data Format library - devel
 EDFlib is a programming library for C/C++ to read/write EDF+/BDF+
 files. (It also reads old-type EDF/BDF files.)
 EDF means European Data Format. BDF is the 24-bits version of EDF.
 .
 Headers and shared libraries for edflib.

## edflib 1.11

=== debian/changelog ===
edflib (1.11-2) unstable; urgency=medium

  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Sun, 08 Nov 2015 18:29:04 +0100

edflib (1.11-1) experimental; urgency=medium

  * New upstream version
  * Added myself to Uploaders
  * cme fix dpkg-control
  * update d/copyright
  * removed debian/symbols

 -- Andreas Tille <tille@debian.org>  Mon, 23 Mar 2015 14:10:21 +0100

=== debian/control ===
Source: edflib
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Mathieu Malaterre <malat@debian.org>,
           Andreas Tille <tille@debian.org>
Section: libs
Priority: optional
Build-Depends: debhelper (>= 9),
               cmake
Standards-Version: 3.9.6
Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/edflib/trunk/
Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/edflib/trunk/
Homepage: http://www.teuniz.net/edflib/

Package: libedf1
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: European Data Format library - libs
 EDFlib is a programming library for C/C++ to read/write EDF+/BDF+
 files. (It also reads old-type EDF/BDF files.)
 EDF means European Data Format. BDF is the 24-bits version of EDF.
 .
 This package contains the libraries needed to run EDF+/BDF+ applications.

Package: libedf-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libedf1 (= ${binary:Version})
Description: European Data Format library - devel
 EDFlib is a programming library for C/C++ to read/write EDF+/BDF+
 files. (It also reads old-type EDF/BDF files.)
 EDF means European Data Format. BDF is the 24-bits version of EDF.
 .
 Headers and shared libraries for edflib.

=== debian/rules ===
#!/usr/bin/make -f

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DEDFLIB_INSTALL_PATH=lib/${DEB_HOST_MULTIARCH}


SOVERSION=1

pkg_lib = libedf$(SOVERSION)
pkg_dev = libedf-dev

override_dh_install: 
	# pkg_lib
	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so.* usr/lib/$(DEB_HOST_MULTIARCH)
	# pkg_dev
	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so usr/lib/$(DEB_HOST_MULTIARCH)
	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/*

get-orig-source:
	uscan --verbose --force-download --rename

=== debian/watch ===
version=3
http://www.teuniz.net/edflib/ \
edflib_([\d])([\d\.]+)\.tar\.gz

## edflib 1.12

=== debian/changelog ===
edflib (1.12-2) unstable; urgency=medium

  * Team upload.
  * add patch to fix hurd build failure

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Tue, 22 Aug 2017 10:26:00 +0200

edflib (1.12-1) unstable; urgency=medium

  * Team upload.

  [ Mathieu Malaterre ]
  * Remove self from Uploaders

  [ Fabian Klötzl ]
  * Move packaging from SVN to Git
  * New upstream version
  * update patch to reflect upstream changes
  * set buildsystem to cmake
  * d/docs: fix filename
  * bump compat, debhelper, standards version and copyright
  * add symbols file
  * bump d/watch version
  * add Multi-Arch: same as suggested by multi-arch hinter

  [ Andreas Tille ]
  * hardening

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Wed, 09 Aug 2017 11:30:31 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: edflib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Mathieu Malaterre <malat@debian.org>,
-           Andreas Tille <tille@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
                cmake
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/edflib/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/edflib/trunk/
+Standards-Version: 4.0.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/edflib.git
+Vcs-Git: https://anonscm.debian.org/cgit/debian-med/edflib.git
 Homepage: http://www.teuniz.net/edflib/
 
 Package: libedf1
 Architecture: any
+Multi-Arch: same
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
@@ -25,6 +25,7 @@
 
 Package: libedf-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libedf1 (= ${binary:Version})

=== debian/watch ===
version=4
http://www.teuniz.net/edflib/ \
edflib_([\d])([\d\.]+)\.tar\.gz

## edflib 1.13

=== debian/changelog ===
edflib (1.13-1) unstable; urgency=medium

  * New upstream version
  * cme fix dpkg-control
  * Update symbols file
  * Secure URI in watch file

 -- Andreas Tille <tille@debian.org>  Tue, 02 Jan 2018 21:54:35 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 10),
                cmake
-Standards-Version: 4.0.1
+Standards-Version: 4.1.3
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/edflib.git
 Vcs-Git: https://anonscm.debian.org/cgit/debian-med/edflib.git
 Homepage: http://www.teuniz.net/edflib/

=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,10 @@
 
 DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 %:
-	dh $@
+	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
 	dh_auto_configure -- -DEDFLIB_INSTALL_PATH=lib/${DEB_HOST_MULTIARCH}

## edflib 1.14

=== debian/changelog ===
edflib (1.14-1) unstable; urgency=medium

  * New upstream version
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5
  * Remove unneeded get-orig-source target

 -- Andreas Tille <tille@debian.org>  Sun, 15 Jul 2018 15:33:07 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                cmake
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/edflib.git
-Vcs-Git: https://anonscm.debian.org/cgit/debian-med/edflib.git
+Standards-Version: 4.1.5
+Vcs-Browser: https://salsa.debian.org/med-team/edflib
+Vcs-Git: https://salsa.debian.org/med-team/edflib.git
 Homepage: http://www.teuniz.net/edflib/
 
 Package: libedf1

=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,3 @@
 	# pkg_dev
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/*
-
-get-orig-source:
-	uscan --verbose --force-download --rename

## edflib 1.15

=== debian/changelog ===
edflib (1.15-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/rules

 -- Andreas Tille <tille@debian.org>  Wed, 28 Nov 2018 07:54:24 +0100

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Priority: optional
 Build-Depends: debhelper (>= 11~),
                cmake
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/med-team/edflib
 Vcs-Git: https://salsa.debian.org/med-team/edflib.git
 Homepage: http://www.teuniz.net/edflib/

=== debian/rules ===
--- 
+++ 
@@ -16,7 +16,7 @@
 pkg_lib = libedf$(SOVERSION)
 pkg_dev = libedf-dev
 
-override_dh_install: 
+override_dh_install:
 	# pkg_lib
 	dh_install -p$(pkg_lib) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so.* usr/lib/$(DEB_HOST_MULTIARCH)
 	# pkg_dev

## edflib 1.16

=== debian/changelog ===
edflib (1.16-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Use secure URI in Homepage field.
  * Rely on pre-initialized dpkg-architecture variables.

 -- Andreas Tille <tille@debian.org>  Mon, 09 Sep 2019 21:20:11 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,12 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper (>= 11~),
+Build-Depends: debhelper-compat (= 12),
                cmake
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/med-team/edflib
 Vcs-Git: https://salsa.debian.org/med-team/edflib.git
-Homepage: http://www.teuniz.net/edflib/
+Homepage: https://www.teuniz.net/edflib/
 
 Package: libedf1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+include /usr/share/dpkg/architecture.mk
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all

=== debian/watch ===
version=4
https://www.teuniz.net/edflib/ \
edflib_([\d])([\d\.]+)\.tar\.gz

## edflib 1.18

=== debian/changelog ===
edflib (1.18-1) unstable; urgency=medium

  * Team upload.

  [ Andreas Tille ]
  * New upstream version
  * debhelper-compat 13 (routine-update)
  * Adapt patch
  * d/watch: Add comment how to fetch upstream source from gitlab

  [ Nilesh Patra ]
  * Use new unittest, remove national encoding
  * Update symbols file

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 04 Jul 2020 09:01:54 +0200

edflib (1.16-3) unstable; urgency=medium

  * Test-Depends: build-essential
    Closes: #958222

 -- Andreas Tille <tille@debian.org>  Mon, 20 Apr 2020 09:12:13 +0200

edflib (1.16-2) unstable; urgency=medium

  * Team upload.

  [ Pranav Ballaney ]
  * Add autopkgtest template and debian/README.test
  * Install unittest files and modify Makefile
  * Add autopkgtests

  [ Andreas Tille ]
  * Standards-Version: 4.5.0 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Pranav Ballaney <ballaneypranav@gmail.com>  Tue, 24 Mar 2020 22:38:18 +0530

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,13 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Section: libs
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                cmake
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/edflib
 Vcs-Git: https://salsa.debian.org/med-team/edflib.git
 Homepage: https://www.teuniz.net/edflib/
+Rules-Requires-Root: no
 
 Package: libedf1
 Architecture: any

## edflib 1.19

=== Makefile ===
CC = gcc
CFLAGS = -O3 -Wall -Wextra -Wshadow -Wformat-nonliteral -Wformat-security -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE
LDLIBS = -lm

programs = sine_generator sweep_generator test_edflib test_generator

all: $(programs)

$(programs): edflib.o

clean:
	$(RM) *.o $(programs) *.[be]df

=== debian/changelog ===
edflib (1.19-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.5.1 (routine-update)
  * Remove unittests from debian dir since
    they are vendoered in the project tree now
  * Bump MINVERSION to 19
    (according to new upstream release)
  * Fix unittest and national encoding
  * Enable static lib generation (for d-shlibs)
  * Enable d-shlibs
  * Add d/u/metadata
  * d/copyright: s/http/https/
  * Change package section to science
    and libedf1 section to libs

 -- Nilesh Patra <npatra974@gmail.com>  Tue, 05 Jan 2021 00:45:46 +0530

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: edflib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
-Section: libs
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               cmake
-Standards-Version: 4.5.0
+               cmake,
+               d-shlibs
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/med-team/edflib
 Vcs-Git: https://salsa.debian.org/med-team/edflib.git
 Homepage: https://www.teuniz.net/edflib/
@@ -14,6 +15,7 @@
 Package: libedf1
 Architecture: any
 Multi-Arch: same
+Section: libs
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}

## edflib 1.21

=== debian/changelog ===
edflib (1.21-1) unstable; urgency=medium

  * New upstream version

 -- Andreas Tille <tille@debian.org>  Sat, 19 Feb 2022 21:06:16 +0100

edflib (1.20-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Do not mention CMakeLists.txt in copyright
  * Added Forwarded field

  [ Nilesh Patra ]
  * Update email
  * New upstream version 1.20
  * Bump Standards-Version to 4.6.0 (no changes needed)
  * Update symbols file

 -- Nilesh Patra <nilesh@debian.org>  Wed, 10 Nov 2021 00:10:18 +0530

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: edflib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <npatra974@gmail.com>
+Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
                d-shlibs
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/edflib
 Vcs-Git: https://salsa.debian.org/med-team/edflib.git
 Homepage: https://www.teuniz.net/edflib/

## edflib 1.22

=== debian/changelog ===
edflib (1.22-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * d/control: add myself to uploaders.
  * d/control: declare libedf1 breaks older edfbrowser versions.
    No changes in the ABI, but edfbrowser spawns an error window if the
    coupling between both components is not matching.

 -- Étienne Mollier <emollier@debian.org>  Sun, 17 Jul 2022 18:13:05 +0200

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,14 @@
 Source: edflib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>, Nilesh Patra <nilesh@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>,
+           Nilesh Patra <nilesh@debian.org>,
+           Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                cmake,
                d-shlibs
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/edflib
 Vcs-Git: https://salsa.debian.org/med-team/edflib.git
 Homepage: https://www.teuniz.net/edflib/
@@ -19,6 +21,7 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Pre-Depends: ${misc:Pre-Depends}
+Breaks: edfbrowser (<< 1.95)
 Description: European Data Format library - libs
  EDFlib is a programming library for C/C++ to read/write EDF+/BDF+
  files. (It also reads old-type EDF/BDF files.)

## edflib 1.23

=== unittest/Makefile ===
#
#
# Author: Teunis van Beelen
#
# email: teuniz@gmail.com
#
#

CC = gcc
CFLAGS = -Wall -Wextra -Wshadow -Wformat-nonliteral -Wformat-security -Wtype-limits -Wfatal-errors -g -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE

all: edflib_test

edflib_test : edflib.o unittest.o
	$(CC) unittest.o edflib.o -o edflib_test

unittest.o : unittest.c ../edflib.h ../edflib.c
	$(CC) $(CFLAGS) -c unittest.c -o unittest.o

edflib.o : ../edflib.h ../edflib.c
	$(CC) $(CFLAGS) -c ../edflib.c -o edflib.o

clean :
	$(RM) *.o edflib_test *.[be]df

#
#
#
#

=== debian/changelog ===
edflib (1.23-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Remove myself from uploaders

  [ Étienne Mollier ]
  * New upstream version 1.23
  * d/copyright: bump copyright years.
  * d/libedf-dev.lintian-overrides: do not flag non-utf-8 file.
    Converting the unittest.c file would result in autopkgtest failures.
  * addcmake.patch: bump version to 1.23.
  * fix-unittest.patch: remove part about encoding.
  * enable-static-lib-generation.patch: adjust to version 1.23.

 -- Étienne Mollier <emollier@debian.org>  Sat, 22 Oct 2022 12:15:26 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: edflib
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Nilesh Patra <nilesh@debian.org>,
            Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional

## edflib 1.24

=== debian/changelog ===
edflib (1.24-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
    Changes-By: lintian-brush
  * d/libedf1.symbols: append new symbols.
  * addcmake.patch: conform "Forwarded" field to dep3.
  * properly-check-for-exp10.patch: forwarding not-needed.
    The patch depends on addcmake.patch which was rejected upstream.

 -- Étienne Mollier <emollier@debian.org>  Mon, 12 Jun 2023 23:01:13 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Build-Depends: debhelper-compat (= 13),
                cmake,
                d-shlibs
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/edflib
 Vcs-Git: https://salsa.debian.org/med-team/edflib.git
 Homepage: https://www.teuniz.net/edflib/

=== debian/watch ===
version=4

# This works as well but also that download excluded the unittest dir up to version 1.18
#opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/@PACKAGE@-$1\.tar\.gz/g \
# https://gitlab.com/Teuniz/EDFlib/tags .*archive/v.*/EDFlib-v?(\d\S*)\.tar\.gz

https://www.teuniz.net/edflib/ edflib_([\d])([\d\.]+)\.tar\.gz

## edflib 1.25

=== debian/changelog ===
edflib (1.25-1) unstable; urgency=medium

  * New upstream version 1.25
  * d/rules: guard against big endian architecture.
    Per README file, upstream explicitly doesn't support big endian
    architecture and will proceed to runtime tests to ensure it.  However
    the build system doesn't ftbfs on big endian, so this is a protection
    against accidental introduction of the library on big endian hosts.
  * d/libedf1.symbols: introduce edf_set_annot_chan_idx_pos.

 -- Étienne Mollier <emollier@debian.org>  Sat, 13 Jan 2024 16:37:31 +0100

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,10 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
+ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
+	@ echo "E: edflib doesn't support big endian systems, bailing out!"
+	@ exit 1
+endif
 	dh_auto_configure -- -DEDFLIB_INSTALL_PATH=lib/${DEB_HOST_MULTIARCH}
 
 
@@ -22,3 +26,9 @@
 	# pkg_dev
 	dh_install -p$(pkg_dev) debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/lib*.so usr/lib/$(DEB_HOST_MULTIARCH)
 	dh_install -p$(pkg_dev) --autodest debian/tmp/usr/include/*
+	d-shlibmove --commit \
+		    --multiarch \
+		    --devunversioned \
+		    --exclude-la \
+		    --movedev "debian/tmp/usr/include/*" usr/include \
+		    debian/tmp/usr/lib/*/*.so

## edflib 1.26

=== tmp/112/Makefile ===
CC = gcc
CFLAGS = -Wall -Wextra -Wshadow -Wformat-nonliteral -Wformat-security -D_LARGEFILE64_SOURCE -D_LARGEFILE_SOURCE
LDLIBS = -lm

programs = sine_generator sweep_generator test_edflib test_generator

all: $(programs)

$(programs): edflib.o

clean:
	$(RM) *.o $(programs) *.[be]df

=== debian/changelog ===
edflib (1.26-1) unstable; urgency=medium

  [ Helmut Grohne ]
  * Express little-endian constraint via Build-Depends. (Closes: #1070046)

  [ Étienne Mollier ]
  * New upstream version 1.26
  * d/copyright: full review.
    A couple of changes were required as the current edflib is now
    BSD-3-Clause, and unit tests are GPLv3 or later.
  * d/missing-sources/: new: nudge lintian with temporary artifacts.

 -- Étienne Mollier <emollier@debian.org>  Sun, 09 Jun 2024 23:00:12 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,8 @@
            Étienne Mollier <emollier@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: architecture-is-little-endian,
+               debhelper-compat (= 13),
                cmake,
                d-shlibs
 Standards-Version: 4.6.2

## edflib 1.27

=== debian/changelog ===
edflib (1.27-2) unstable; urgency=medium

  * cmake-4.patch: new: bump minimum cmake to 3.10. (Closes: #1112866)
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: drop redundant Rules-Requires-Root: no.
  * d/watch: bump to v5 Gitlab template.

 -- Étienne Mollier <emollier@debian.org>  Wed, 01 Oct 2025 22:29:02 +0200

edflib (1.27-1) unstable; urgency=medium

  * d/watch: adjust to using git tag to capture v1.27 early.
  * New upstream version 1.27  (Closes: #1084871)
  * d/control: declare compliance to standards version 4.7.0.
  * d/copyright: remove reference to tmp directory.

 -- Étienne Mollier <emollier@debian.org>  Thu, 10 Oct 2024 12:08:15 +0200

=== debian/control ===
--- 
+++ 
@@ -8,11 +8,10 @@
                debhelper-compat (= 13),
                cmake,
                d-shlibs
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/edflib
 Vcs-Git: https://salsa.debian.org/med-team/edflib.git
 Homepage: https://www.teuniz.net/edflib/
-Rules-Requires-Root: no
 
 Package: libedf1
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -8,10 +8,6 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-ifeq ($(DEB_HOST_ARCH_ENDIAN),big)
-	@ echo "E: edflib doesn't support big endian systems, bailing out!"
-	@ exit 1
-endif
 	dh_auto_configure -- -DEDFLIB_INSTALL_PATH=lib/${DEB_HOST_MULTIARCH}

=== debian/watch ===
Version: 5

Template: Gitlab
Dist: https://gitlab.com/Teuniz/EDFlib
DVersion-Mangle: s/^/v/
